Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QSettings.Scope

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QSettings.Scope

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSettings

    public static final class QSettings.Scope

extends java.lang.Enum
implements QtEnumerator

This enum specifies whether settings are user-specific or shared by all users of the same system.

See also:
  `setPath()`.

See Also:
  Serialized Form

Field Summary
`static QSettings.Scope` | `SystemScope` Store settings in a global location, so that all users on the same machine access the same set of settings.
`static QSettings.Scope` | `UserScope` Store settings in a location specific to the current user (e.g., in the user's home directory).

Method Summary
`static QSettings.Scope` | `resolve(int value)` Returns the QSettings$Scope constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSettings.Scope` | `valueOf(java.lang.String name)`
`static QSettings.Scope[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UserScope

    public static final QSettings.Scope UserScope

  Store settings in a location specific to the current user (e.g., in the user's home directory).

### SystemScope

    public static final QSettings.Scope SystemScope

  Store settings in a global location, so that all users on the same machine access the same set of settings.

Method Detail

### values

    public static QSettings.Scope[] values()

### valueOf

    public static QSettings.Scope valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSettings.Scope resolve(int value)

  Returns the QSettings$Scope constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD